/*
* Author:          Patrick-Christopher Mattulat
* Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-02-17
* Changed:         2026-06-23
*
* */

#include <ls-std/io/NewLine.hpp>
#include <ls-std/io/section-pair/serialization/SerializableSectionPairParameter.hpp>

using ls::standard::core::Class;
using ls::standard::io::NewLine;
using ls::standard::io::SerializableSectionPairParameter;
using std::shared_ptr;
using std::string;
using std::string_view;

SerializableSectionPairParameter::SerializableSectionPairParameter() : parseNewLine(NewLine::get())
{}

SerializableSectionPairParameter::~SerializableSectionPairParameter() = default;

string SerializableSectionPairParameter::getNewLine() const
{
  return this->parseNewLine;
}

shared_ptr<Class> SerializableSectionPairParameter::getValue() const
{
  return this->value;
}

void SerializableSectionPairParameter::setNewLine(const string_view _newLine)
{
  this->parseNewLine = _newLine;
}

void SerializableSectionPairParameter::setValue(const shared_ptr<Class> &_value)
{
  this->value = _value;
}
